import express from 'express';

import {
    createBill,
    getBills,
    getBillById,
    updateBill,
    deleteBill,
    allpendingBills,
    allpaidBills,
    alloverdueBills
} from '../controller/billController.js';

const router = express.Router();

router.post('/create', createBill); //done
router.get('/all', getBills); //done
router.get('/:id', getBillById); //done
router.put('/update/:id', updateBill); //done
router.delete('/delete/:id', deleteBill); //done
router.get('/pending/all', allpendingBills); //done
router.get('/paid/all', allpaidBills); //done
router.get('/overdue/all', alloverdueBills); //done


export default router;